Skip to main content
PATCH
/
products
/
{uid}
Patch a product
curl --request PATCH \
  --url https://api.qonversion.io/v3/products/{uid} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "apple_product_id": "com.app.premium_yearly",
  "duration": 4
}
'
{
  "uid": "premium_monthly",
  "type": 1,
  "apple_product_id": "com.app.premium_monthly",
  "google_product_id": "com.app.premium_monthly",
  "google_base_plan_id": "monthly-base",
  "stripe_product_id": "prod_abc123",
  "duration": 1
}

Authorizations

Authorization
string
header
required

Use your Project Key from the Qonversion dashboard. Example: Bearer test_PV77YHL7qnGvsdmpTs7gimsxUvY-Znl2

Path Parameters

uid
string
required

Qonversion product UID

Body

application/json
type
enum<integer>
Available options:
0,
1,
2
apple_product_id
string
google_product_id
string
google_base_plan_id
string
stripe_product_id
string
duration
enum<integer>
Available options:
0,
1,
2,
3,
4

Response

Product patched

uid
string

Unique identifier of the Qonversion product

Example:

"premium_monthly"

type
enum<integer>

Product type: 0 = Subscription With Promo Period, 1 = Regular Subscription, 2 = Non-Recurring Purchase

Available options:
0,
1,
2
Example:

1

apple_product_id
string

Product identifier in App Store Connect

Example:

"com.app.premium_monthly"

google_product_id
string

Product identifier in Google Play Console

Example:

"com.app.premium_monthly"

google_base_plan_id
string

Base plan identifier in Google Play Console

Example:

"monthly-base"

stripe_product_id
string

Product identifier in Stripe

Example:

"prod_abc123"

duration
enum<integer>

Duration: 0 = Weekly, 1 = Monthly, 2 = Three Monthly, 3 = Six Monthly, 4 = Annual

Available options:
0,
1,
2,
3,
4
Example:

1